Bug 891632 - RHEV-M 3.1 instance died after RHSA-2012:1592-1 installation
RHEV-M 3.1 instance died after RHSA-2012:1592-1 installation
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.1.0
Unspecified Unspecified
urgent Severity urgent
: ---
: 3.1.3
Assigned To: Juan Hernández
Pavel Stehlik
integration
: ZStream
Depends On: 889217
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-03 08:17 EST by Chris Pelland
Modified: 2013-03-12 10:27 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, out of date index files left over from a JBoss service would cause updating the Red Hat Enterprise Virtualization environment using yum update to completely crash the environment, displaying 404 errors when the manager tried to load. Now, a copy is made of the JBoss modules directory (a shallow copy, using symlinks) but excluding the indexes. The copy is used instead of the original, thus there is no problem even if the indexes are out of date.
Story Points: ---
Clone Of: 889217
Environment:
Last Closed: 2013-03-12 10:27:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10292 None None None Never

  None (edit)
Comment 5 David M. Lloyd 2013-01-23 10:00:59 EST
Can someone please remove MODULES-105?  As far as I can tell there is absolutely no relationship between this bug and that, and the BZ<->JIRA integration is causing every status change and comment to be reflected in JIRA, annoyingly.
Comment 6 Juan Hernández 2013-01-23 10:56:36 EST
(In reply to comment #5)
> Can someone please remove MODULES-105?  As far as I can tell there is
> absolutely no relationship between this bug and that, and the BZ<->JIRA
> integration is causing every status change and comment to be reflected in
> JIRA, annoyingly.

I removed MODULES-105.

However there is a relation, as the fix for MODULES-105 was intended to resolve an issue (out of date .index.jar files in the modules directory) that still exists in some situations in EAP6.
Comment 7 David M. Lloyd 2013-01-23 16:37:04 EST
Okay, that's fair.  I am separately requesting that an enhancement be enacted to prevent all status changes and comments from cross-propagating between the two trackers though.  Hopefully that will cut down on things.

Thanks though.
Comment 8 Juan Hernández 2013-02-26 02:43:57 EST
Jodi, the doc text is not accurate. The initial suggestion to fix the issue was to remove the out of date indexes as you describe in the doc text, but that was rejected. Instead of removing the out of date indexes what we are doing is making a copy of the JBoss modules directory (a shallow copy, using symlinks) but excluding the indexes. Then we use this copy instead of the original, thus there is no problem even if the indexes are out of date.
Comment 9 Jodi Biddle 2013-02-26 03:05:34 EST
Juan - thank you very much for reviewing my doc text, it's greatly appreciated. 

Can you please take a look at the new doc text and confirm I've worded it correctly?
Comment 10 Juan Hernández 2013-02-26 03:14:06 EST
Jodi, the doc text is accurate now in my opinion. Thanks for the prompt reaction!
Comment 13 errata-xmlrpc 2013-03-12 10:27:09 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0557.html

Note You need to log in before you can comment on or make changes to this bug.